package com.gic.store.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.store.dto.StoreDictDTO;

import java.util.List;

public interface StoreDictApiService {
    /**
     * 查询运维后台所有门店类型，企业选中checked=1
     * @param enterpriseId
     * @return
     */
    ServiceResponse<List<StoreDictDTO>> listAllStoreType(Integer enterpriseId);

    /**
     * 查询运维后台所有门店状态，企业选中checked=1
     * @param enterpriseId
     * @return
     */
    ServiceResponse<List<StoreDictDTO>> listAllStoreStatus(Integer enterpriseId);

    /**
     * 查询企业下门店类型
     * @param enterpriseId
     * @return
     */
    ServiceResponse<List<StoreDictDTO>> listStoreType(Integer enterpriseId);

    /**
     * 查询企业下门店状态
     * @param enterpriseId
     * @return
     */
    ServiceResponse<List<StoreDictDTO>> listStoreStatus(Integer enterpriseId);

    /**
     * 保存门店类型
     * @param enterpriseId
     * @param storeTypeArr
     * @return
     */
    ServiceResponse saveStoreType(Integer enterpriseId, String[] storeTypeArr);

    /**
     * 保存门店类型
     * @param enterpriseId
     * @param storeStatusArr
     * @return
     */
    ServiceResponse saveStoreStatus(Integer enterpriseId, String[] storeStatusArr);
}
