package com.gic.store.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.store.dto.StoreFieldDTO;

import java.util.List;

/**
 * @author zhiwj
 * @date 2019/6/24
 */
public interface StoreFieldApiService {

    /**
     * 新增
     * @param storeFieldDTO
     * @return
     */
    ServiceResponse<Integer> save(StoreFieldDTO storeFieldDTO);

    /**
     * 上下移动
     * @param storeFieldId
     * @param isUp 向上
     * @return
     */
    ServiceResponse<Integer> upOrDown(int storeFieldId, boolean isUp);


    /**
     * 置顶、置底，自定义序号
     * @param storeFieldId
     * @param setValue
     * @return
     */
    ServiceResponse<Integer> setStoreFieldSort(int storeFieldId, int setValue);

    ServiceResponse<Integer> delete(int storeFieldId);

    ServiceResponse<Integer> deleteAll(int enterpriseId);

    ServiceResponse<Integer> deleteBatch(List<Integer> storeFieldIds);

    ServiceResponse<Integer> edit(StoreFieldDTO storeFieldDTO);

    /**
     * 分页查询列表数据
     * @param enterpriseId
     * @param search
     * @param pageNum
     * @param pageSize
     * @return
     */
    ServiceResponse<Page<StoreFieldDTO>> listStoreField(int enterpriseId, String search, Integer pageNum, Integer pageSize);


    /**
     * 主键查询记录
     * @param storeFieldId
     * @return
     */
    ServiceResponse<StoreFieldDTO> getStoreField(int storeFieldId);

}
